This is the documentation for 2022-02-01.

Customers

Fetching a list of customers.

List

Return a collection of customers.

Filtering

List of customers for specific email(s)
List of customers for specific external identifier(s)
  • /customers?filter[external_identifier]=12345
  • /customers?filter[external_identifier]=12345,67890

See: Pagination, Filtering

Example listing customers

Request

GET /customers HTTP/1.1

Response

{
    "data": [
        {
            "id": 14,
            "first_name": "Delta",
            "last_name": "Spencer",
            "is_test": 0,
            "email": "[email protected]",
            "external_identifier": null,
            "created_at": "2026-03-02T08:31:06+00:00",
            "updated_at": "2026-03-02T08:31:06+00:00"
        },
        {
            "id": 13,
            "first_name": "America",
            "last_name": "Gleason",
            "is_test": 0,
            "email": "[email protected]",
            "external_identifier": null,
            "created_at": "2026-03-02T08:31:06+00:00",
            "updated_at": "2026-03-02T08:31:06+00:00"
        },
        {
            "id": 12,
            "first_name": "Remington",
            "last_name": "Hessel",
            "is_test": 0,
            "email": "[email protected]",
            "external_identifier": null,
            "created_at": "2026-03-02T08:31:06+00:00",
            "updated_at": "2026-03-02T08:31:06+00:00"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://api.smake.io/v2/apps/1/customers?cursor=eyJjdXN0b21lcnMuaWQiOjEyLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://api.smake.io/v2/apps/1/customers",
        "per_page": 15,
        "next_cursor": "eyJjdXN0b21lcnMuaWQiOjEyLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get

Returns the resource for a customer with id = x.

Example

Request

GET /customers/1 HTTP/1.1

Response

{
    "id": 14,
    "first_name": "Delta",
    "last_name": "Spencer",
    "is_test": 0,
    "email": "[email protected]",
    "external_identifier": null,
    "created_at": "2026-03-02T08:31:06+00:00",
    "updated_at": "2026-03-02T08:31:06+00:00"
}